GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::config::TriggerConfig Struct Reference

`#include <config.h>`

Collaboration diagram for gridfire::config::TriggerConfig:
[legend]

## Public Attributes
double | offDiagonalThreshold = 1e10
double | timestepCollapseRatio = 0.5
double | maxConvergenceFailures = 2
BoundaryFluxConfig | boundaryFlux

## Member Data Documentation

## ◆ boundaryFlux

BoundaryFluxConfig gridfire::config::TriggerConfig::boundaryFlux

## ◆ maxConvergenceFailures

double gridfire::config::TriggerConfig::maxConvergenceFailures = 2

## ◆ offDiagonalThreshold

double gridfire::config::TriggerConfig::offDiagonalThreshold = 1e10

## ◆ timestepCollapseRatio

double gridfire::config::TriggerConfig::timestepCollapseRatio = 0.5

The documentation for this struct was generated from the following file:

- src/include/gridfire/config/config.h